#!/bin/sh
#--------
IP=$1
PASS=$2
MANAGER=/var/www/manager/bin/manager

if [ "$IP" = "" ]
then
    echo "Please set target host"
    exit 1
fi

RES=`echo active $PASS | $MANAGER -a $IP`

CHK1=`echo $RES|grep "OK"|cut -d' ' -f1`
CHK2=`echo $RES|grep "ERR"|cut -d' ' -f1`

if [ "$CHK1" = "OK" ]
then
    exit 0
fi
if [ "$CHK2" = "ERR" ]
then
    RES=`echo $RES|sed -e 's/ERR //'`
    if [ "$RES" = "not activation" ]
    then
	exit 2
    elif [ "$RES" = "already active" ]
    then
	exit 3
    fi
    exit 4
fi

exit 1
