#!/usr/bin/perl
use Fcntl;
use AnyDBM_File;
$host = $ARGV[0];
unless ( $host ) {
    print "Usage: rm_client.pl hostname|ip\n";
    exit(1);
}
$manager_dir = "/var/www/manager/data";
$data_file = "$manager_dir/client_db";
tie( %client_data, 'AnyDBM_File', $data_file, O_RDWR, 0644 );
foreach (sort keys %client_data) {
    @data = split(/,/,$client_data{$_});
    if ( $_ eq $host || $data[0] eq $host ) {
        delete $client_data{$_};
        last;
    }
}
untie(%client_data);
