#!/bin/sh
#--------------------
# PSMT 2.0
# 2013.03.01 update
#
# NCAg[obNɐAT[õf[^
# [obN邽߂̃XNvg
#
DOCROOT=/var/www/html
UPDATE_DIR=/var/www/manager/update
WGET=/usr/bin/wget

if [ "$1" = "" ]
then
    echo "usage: rollback.sh level"
    exit 1;
fi

rotate() {
    # mv to backup
    SRC_DIR=$UPDATE_DIR/$1
    DST_DIR=$UPDATE_DIR/$2

    if [ -d $DST_DIR ]
    then
        rm -rf $DST_DIR
    fi
    mv $SRC_DIR $DST_DIR
}

if [ $1 -eq 0 ]
then
    if [ -d "$UPDATE_DIR/backup0" ]
    then
        rotate backup0 dist
    fi
    if [ -d "$UPDATE_DIR/backup1" ]
    then
        rotate backup1 backup0
    fi
    if [ -d "$UPDATE_DIR/backup2" ]
    then
        rotate backup2 backup1
    fi
elif [ $1 -eq 1 ]
then
    if [ -d "$UPDATE_DIR/backup0" ]
    then
        rm -rf $UPDATE_DIR/backup0
    fi
    if [ -d "$UPDATE_DIR/backup1" ]
    then
        rotate backup1 dist
    fi
    if [ -d "$UPDATE_DIR/backup2" ]
    then
        rotate backup2 backup0
    fi
elif [ $1 -eq 2 ]
then
    if [ -d "$UPDATE_DIR/backup0" ]
    then
        rm -rf $UPDATE_DIR/backup0
    fi
    if [ -d "$UPDATE_DIR/backup1" ]
    then
        rm -rf $UPDATE_DIR/backup1
    fi
    if [ -d "$UPDATE_DIR/backup2" ]
    then
        rotate backup2 dist
    fi
fi

cd $DOCROOT
rm -r clamav
rm -r ibm
rm *.cvd *.cdiff dnx.txt VERSION version.txt

cp -pr $UPDATE_DIR/dist/* .

exit 0
