#!/bin/sh
#--------------------
# PSMT 2.1
# 2013.03.26 update
# 2013.10.10 powerΉ
# 2023.05.22 VDF̂ݑΉ
# 
LEVEL=$1

BACKUP=/var/www/manager/update/backup$LEVEL
DOWNLOAD=/var/www/html/download

if [ ! -d $DOWNLOAD ]
then
    mkdir $DOWNLOAD
    chown psmtadm:psmtadm $DOWNLOAD
fi

rm $DOWNLOAD/backup$LEVEL-* > /dev/null 2>&1

if [ ! -d $BACKUP ]
then
    echo "backup data not exist(level:$LEVEL)"
    exit 1
fi

cd $BACKUP

tar zcf $DOWNLOAD/backup$LEVEL-vdf.tar.gz ./*.cvd

exit 0
