#!/bin/sh
#--------
# ΥץȤϡ饤ȤؤΥåץǡȤԤΥץȤǤ
# 㥹ץȤХåɤǵưΤǡ٤ʣưޤ
# ̤ե˽񤭹ߡƤӽФǥåޤ
#
#IP=$1
passwd=$2
group=$3
type=$4
config=$5
MANAGER=/var/www/manager/bin/manager
CHECK_FILE=/var/www/manager/data/active_check_file

# Setup command
manager_dir=/var/www/manager/data
command_dir="/var/www/manager/bin"
config_dir="$manager_dir/config"
license_dir="$manager_dir/license"
download_dir="$manager_dir/download"
license_file_x86="$license_dir/proscan_i386.key"
license_file_s390="$license_dir/proscan_s390.key"
license_file_ppc="$license_dir/proscan_ppc.key"
config_file="$config_dir/$config.conf"
setup_command=$command_dir/setup.sh
db_command=$command_dir/client_db_admin.pl

if [ "$1" = "" ]
then
    echo "Please set target host"
    exit 1
fi

# getIPbyhostname
IP=`ping -c 1 $1|head -1|sed -e 's/).*$//;s/.*(//'`

RES=`echo active $passwd | $MANAGER -a $IP | grep OK`

if [ "$RES" != "" ]
then
   RES=`$db_command add "$IP" "$group" "$type" "$config"`

# setup config
cp $config_file $download_dir/scan.conf

$setup_command $IP config
rc1=$?

# setup group/type
echo "$group:$type" > $download_dir/group

$setup_command $IP group
rc2=$?

# setup license
if [ -f $license_file_ppc ]
then
    cp $license_file_ppc $download_dir/proscan_ppc.key
fi
if [ -f $license_file_s390 ]
then
cp $license_file_s390 $download_dir/proscan_s390.key
fi
if [ -f $license_file_x86 ]
then
cp $license_file_x86 $download_dir/proscan_i386.key
fi

$setup_command $IP license
rc3=$?

# result check
if [ $rc1 -ne 0 -o $rc2 -ne 0 -o $rc3 -ne 0 ]
then
   RES=""
else
   RES=`$db_command add "$IP" "$group" "$type" "$config"`
fi

fi

if [ "$RES" != "" ]
then
    echo "$IP:OK" >> $CHECK_FILE
else
    echo "$IP:NG" >> $CHECK_FILE
fi

exit 0
