#!/bin/sh
#--------
IP=$1
PARAM=$2
MANAGER=/var/www/manager/bin/manager

if [ "$IP" = "" ]
then
    echo "Please set target host"
    exit 1
fi

RES=`echo setup $PARAM | $MANAGER -a $IP | grep OK`

if [ "$RES" = "" ]
then
    exit 1
fi

exit 0
